package com.handysoft.beans.entity;

import java.util.Date;

import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;

@PersistenceCapable(identityType = IdentityType.NONDURABLE)
public class HUserPart extends HandyEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7446180412697404478L;

	@Persistent
	private String id;

	@Persistent
	private String name;

	@Persistent
	private String userId;

	@Persistent
	private Date regDate;

	@Persistent
	private String des;

	@Override
	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public final String getName() {
		return name;
	}

	public final void setName(String name) {
		this.name = name;
	}

	public final String getUserId() {
		return userId;
	}

	public final void setUserId(String userId) {
		this.userId = userId;
	}

	public final Date getRegDate() {
		return regDate;
	}

	public final void setRegDate(Date regDate) {
		this.regDate = regDate;
	}

	public final String getDes() {
		return des;
	}

	public final void setDes(String des) {
		this.des = des;
	}

}
